%define upstream_name    Unicode-Collate
%define upstream_version 1.14

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Weighting JIS KANJI for Unicode::Collate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module is an implementation of Unicode Technical Standard #10 (a.k.a.
UTS #10) - Unicode Collation Algorithm (a.k.a. UCA).

Constructor and Tailoring
    The 'new' method returns a collator object. If new() is called with no
    parameters, the collator should do the default collation.

       $Collator = Unicode::Collate->new(
          UCA_Version => $UCA_Version,
          alternate => $alternate, # alias for 'variable'
          backwards => $levelNumber, # or \@levelNumbers
          entry => $element,
          hangul_terminator => $term_primary_weight,
          ignoreName => qr/$ignoreName/,
          ignoreChar => qr/$ignoreChar/,
          ignore_level2 => $bool,
          katakana_before_hiragana => $bool,
          level => $collationLevel,
          normalization  => $normalization_form,
          overrideCJK => \&overrideCJK,
          overrideHangul => \&overrideHangul,
          preprocess => \&preprocess,
          rearrange => \@charList,
          rewrite => \&rewrite,
          suppress => \@charList,
          table => $filename,
          undefName => qr/$undefName/,
          undefChar => qr/$undefChar/,
          upper_before_lower => $bool,
          variable => $variable,
       );

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.140.0-3.mga6
+ Revision: 1035437
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.140.0-2.mga6
+ Revision: 958155
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 1.140.0-1.mga6
+ Revision: 853592
- update to 1.14

* Fri Jun 26 2015 tv <tv> 1.120.0-2.mga6
+ Revision: 845426
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.120.0-1.mga6
+ Revision: 841304
- update to 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 746697
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-3.mga5
+ Revision: 686785
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.70.0-2.mga5
+ Revision: 631823
- Rebuild for perl 5.20

* Tue May 27 2014 sander85 <sander85> 1.70.0-1.mga5
+ Revision: 627060
- update to 1.07

* Sun May 25 2014 sander85 <sander85> 1.50.0-1.mga5
+ Revision: 626429
- update to 1.05

* Sun Feb 09 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 587768
- update to 1.04

* Sat Oct 19 2013 umeabot <umeabot> 0.990.0-2.mga4
+ Revision: 533985
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.990.0-1.mga4
+ Revision: 475965
- update to 0.99

* Wed May 29 2013 jquelin <jquelin> 0.970.0-5.mga4
+ Revision: 432328
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.970.0-4.mga4
+ Revision: 432179
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 0.970.0-3.mga3
+ Revision: 405583
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-2.mga3
+ Revision: 374612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 341880
- update to 0.97

* Wed Nov 07 2012 jquelin <jquelin> 0.910.0-1.mga3
+ Revision: 315588
- update to 0.91

* Mon Oct 01 2012 jquelin <jquelin> 0.900.0-1.mga3
+ Revision: 301466
- imported package perl-Unicode-Collate


* Mon Oct 01 2012 cpan2dist 0.90-1mga
- initial mageia release, generated with cpan2dist
